<div class="panel panel-app" [hidden]="!selectedView">
  <div class="panel-heading clearfix panel-white-heading panel-border">
    <div class="text-left">
      <!-- <div class="svg-holder-asset icon">
                    <svg>
                        <use xlink:href="assets/icons/icon_ServiceManagement.svg#Vector_Smart_Object"></use>
                    </svg> -->
      <span class="pull-left">Alaram Console</span>
      <span class="pull-right"><a href="javascript:void(0)" (click)="changeTableView()"><i class="glyphicon glyphicon-arrow-left"></i></a> &nbsp; &nbsp;
            <a href="javascript:void(0)" (click)="changeTableMaxView()" [hidden]="selectedRealTimeData.length > 0">
        <i class="glyphicon glyphicon-resize-full"></i></a>
            </span>
    </div>
  </div>
  <div class="panel-body-padding panel-border" [ngClass]="selectedRealTimeData.length >0 ? 'panel-max-height':'panel-full-page-height'">
    <div class="table-responsive" *ngIf="liveData.length > 0;else no_data">
      <table class="table org-table" [mfData]="liveData ? liveData : []" [mfRowsOnPage]="paginationInfo.numberRowPerPage" #mf="mfDataTable" [(mfSortBy)]="paginationInfo.sortBy" [(mfSortOrder)]="paginationInfo.sortOrder">
        <thead>
          <tr>
            <th>
              <mfDefaultSorter by="Name" class="sorter"> Description</mfDefaultSorter>
            </th>
            <th>
              <mfDefaultSorter by="TS" class="sorter"> Time</mfDefaultSorter>
            </th>
            <th>Status</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let asset of mf.data">
            <td>{{asset.assetID}}</td>
            <td>{{asset.occurrence_date_time}}</td>
            <td>{{asset.status}}</td>
          </tr>
        </tbody>
        <tr>
          <td colspan="3" class="text-right">
            <mfBootstrapPaginator [rowsOnPageSet]="[]"></mfBootstrapPaginator>
          </td>
        </tr>
      </table>
    </div>
    <ng-template #no_data>
      <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 no-data">
        No Data exists
      </div>
    </ng-template>
  </div>
</div>
<div class="panel panel-app" [hidden]="selectedView">
  <div class="panel-heading clearfix panel-white-heading">
    <a href="javascript:void(0)" (click)="changeTableView()"><i class="glyphicon glyphicon-arrow-right"></i></a>
  </div>
  <div class="panel-body-shrink panel-border panel-white-heading" [ngClass]="selectedRealTimeData.length >0 ? 'panel-max-height':'panel-full-page-height'">
    <div class="vertical-text">Alaram Console</div>
  </div>
</div>
